%define vmajor 2
%define vminor 4
%define vpatch 19
%define gitver rel-%{vmajor}-%{vminor}-%{vpatch}

Summary:	Utilities for the IBM Power Linux RAID adapters
Name:		iprutils
Version:	%{vmajor}.%{vminor}.%{vpatch}
Release:	4%{?dist}
License:	CPL-1.0
URL:		https://github.com/bjking1/iprutils
Source0:	https://github.com/bjking1/iprutils/archive/refs/tags/%{gitver}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	iprdbg.8.gz
BuildRequires:	libtool ncurses-devel libcap-devel kernel-headers systemd zlib-devel make

%description
The iprutils package is a RAID configuration utility to manage SAS RAID adapters on IBM Power Linux.

%prep
%autosetup -p1 -n %{name}-%{gitver}

%build
autoreconf -vif
%configure --with-systemd --without-initscripts --disable-static --disable-sosreport
%{make_build}

%install
%{make_install}
#add iprdbg man page
install -p -m 0644 %SOURCE1 %{buildroot}%{_mandir}/man8/

%post
%systemd_post iprinit.service
%systemd_post iprdump.service
%systemd_post iprupdate.service
%systemd_post iprutils.target

%preun
%systemd_preun iprinit.service
%systemd_preun iprdump.service
%systemd_preun iprupdate.service
%systemd_preun iprutils.target

%files
%license LICENSE
%doc README
%{_sbindir}/*
%{_unitdir}/*
%{_udevrulesdir}/90-iprutils.rules
%{_sysconfdir}/bash_completion.d/*
%{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/resource.d
%{_sysconfdir}/ha.d/resource.d/iprha
%{_mandir}/man*/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.19-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.19-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 27 2022 Songqiao Tao <joeytao@tencent.com> - 2.4.19-1
- Initial build
